Rudiments

Public Member Functions | Static Public Member Functions | List of all members
gss Class Reference

## Public Member Functions
| gss ()
| ~gss ()
const char *const * | getAvailableMechanisms ()

## Static Public Member Functions
static bool | supported ()

## Constructor & Destructor Documentation

## ◆ gss()

gss::gss | ( |  | ) |

Creates a new instance of the gss framework.

## ◆ ~gss()

gss::~gss | ( |  | ) |

Deletes this instance of the gss framework.

## Member Function Documentation

## ◆ getAvailableMechanisms()

const char* const* gss::getAvailableMechanisms | ( |  | ) |

Returns the available underlying security mechanisms as a NULL-terminated array. The members of the array are string representations of the object ids for each security mechanism.

For example: { 1 2 840 113554 1 2 2 } { 1 3 5 1 5 2 } { 1 2 840 48018 1 2 2 } { 1 3 6 1 5 2 5 } { 1 3 6 1 5 5 2 }

These strings may be passed into gssmechanism::initialize(const char *str).

## ◆ supported()

static bool gss::supported | ( |  | ) |
| static

Returns true if rudiments was built with GSS support and false otherwise.